{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../desktop.nix
  ];

  nixpkgs.hostPlatform = "x86_64-linux";

  boot.loader = {
    systemd-boot.enable = true;
    efi.canTouchEfiVariables = true;
  };

  networking = {
    hostId = "cc858347";
    networkmanager.enable = true;
  };

  dconf.settings = {
    "org/gnome/desktop/interface" = {
      show-battery-percentage = true;
    };
  };

  modules = {
    programs = {
      dev = {
        node.enable = true;
      };
      firefox.enable = true;
      git.enable = true;
      gpg.enable = true;
      neovim.enable = true;
      pass.enable = true;
      qbittorrent.enable = true;
    };
    shell = {
      zsh.enable = true;
    };
  };

  system.stateVersion = "22.11";
}
