{ pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../desktop.nix
  ];

  nixpkgs.hostPlatform = "x86_64-linux";

  boot = {
    loader.grub = {
      enable = true;
      device = "/dev/sda";
      zfsSupport = true;
    };
  };

  networking = {
    hostId = "47d23505";
    networkmanager.enable = true;
  };

  environment.systemPackages = [
    pkgs.moonlight-qt
  ];

  modules = {
    programs = {
      dev = {
        node.enable = true;
      };
      firefox.enable = true;
      git.enable = true;
      gpg.enable = true;
      neovim.enable = true;
      pass.enable = true;
      qbittorrent.enable = true;
    };
    services = {
      borgmatic = {
        enable = true;
        directories = [
          "/home/jordan/Documents"
        ];
        repoPath = "ssh://b9cjl9hq@b9cjl9hq.repo.borgbase.com/./repo";
      };
    };
    shell = {
      zsh.enable = true;
    };
  };

  system.stateVersion = "22.11";
}
