{
  lib,
  modulesPath,
  ...
}:

{
  imports = [
    (modulesPath + "/installer/sd-card/sd-image-aarch64.nix")
  ];

  boot = {
    kernelModules = [ "bcm2835-v4l2" ];
    kernelParams = [
      "cma=512M"
      "panic=0"
    ];
    supportedFilesystems = lib.mkForce [
      "f2fs"
      "vfat"
      "xfs"
    ];
    tmp.cleanOnBoot = false;
  };

  nixpkgs.overlays = [
    (final: super: {
      makeModulesClosure = x: super.makeModulesClosure (x // { allowMissing = true; });
    })
  ];

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-label/NIXOS_SD";
      fsType = "ext4";
      options = [ "noatime" ];
    };
  };
}
