{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.programs.dev.cc;
in
{
  options.modules.programs.dev.cc = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      clang
      gcc
      gdb
      cmake
      llvmPackages.libcxx
    ];
  };
}
