{
  config,
  lib,
  ...
}:

let
  cfg = config.modules.programs.gpg;
in
{
  options.modules.programs.gpg = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    home.programs.gpg = {
      enable = true;
    };

    home.services.gpg-agent = {
      enable = true;
      enableSshSupport = true;
    };
  };
}
