{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.programs.graphics;
in
{
  options.modules.programs.graphics = {
    modeling.enable = lib.mkOption {
      default = false;
      example = true;
    };
    raster.enable = lib.mkOption {
      default = false;
      example = true;
    };
    vector.enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = {
    user.packages = with pkgs; [
      (lib.mkIf cfg.modeling.enable blender)
      (lib.mkIf cfg.raster.enable gimp)
      (lib.mkIf cfg.raster.enable krita)
      (lib.mkIf cfg.vector.enable inkscape)
    ];
  };
}
