{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.programs.lutris;
in
{
  options.modules.programs.lutris = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      (lutris.override {
        extraPkgs = pkgs: [
          winePackages.staging
          wine64Packages.staging
        ];
      })
      vulkan-loader
      vulkan-tools
    ];

    hardware.graphics = {
      enable = true;
      enable32Bit = true;
    };
  };
}
