{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.programs.pass;
in
{
  options.modules.programs.pass = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    home.programs.password-store = {
      enable = true;
      package = pkgs.pass.withExtensions (exts: [ exts.pass-otp ]);
    };
  };
}
