{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.programs.recording;
in
{
  options.modules.programs.recording = {
    audio.enable = lib.mkOption {
      default = false;
      example = true;
    };
    video.enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = {
    user.packages =
      with pkgs;
      (
        if cfg.audio.enable then
          [
            ardour
            audacity
          ]
        else
          [ ]
      )
      ++ (
        if cfg.video.enable then
          [
            handbrake
            mkvtoolnix
            obs-studio
          ]
        else
          [ ]
      );
  };
}
