{
  config,
  lib,
  ...
}:

let
  inherit (lib)
    mkEnableOption
    mkIf
    ;
  cfg = config.modules.services.music-assistant;
in
{
  options.modules.services.music-assistant.enable = mkEnableOption "music-assistant";

  config = mkIf cfg.enable {
    services = {
      nginx.virtualHosts."music-assistant.${config.networking.hostName}" = {
        extraConfig = ''
          proxy_buffering off;
        '';
        locations."/" = {
          proxyPass = "http://[::1]:8095";
          proxyWebsockets = true;
        };
      };
      music-assistant = {
        enable = true;
        providers = [
          "hass"
          "jellyfin"
        ];
      };
    };
  };
}
