{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.system.desktop.hyprland;
in
{
  options.modules.system.desktop.hyprland = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    programs.hyprland = {
      enable = true;
      # withUWSM = true;
    };

    # programs.uwsm.enable = true;

    networking.networkmanager.enable = true;

    user.packages = with pkgs.unstable; [
      anyrun
      hyprpaper
      mpv
      walker
      waybar
    ];

    environment.systemPackages = with pkgs; [
      adw-gtk3
    ];

    home.services.gpg-agent.pinentryPackage = pkgs.pinentry-gnome3;
  };
}
