{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.system.desktop.kde;
in
{
  options.modules.system.desktop.kde = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    services = {
      xserver = {
        enable = true;
      };
      desktopManager.plasma6.enable = true;
      displayManager.sddm = {
        enable = true;
        wayland.enable = true;
      };
    };

    networking.networkmanager.enable = true;

    user.packages = with pkgs; [
      kmail
      mpv
    ];

    environment.systemPackages = with pkgs; [
      adw-gtk3
    ];

    home.services.gpg-agent.pinentryPackage = pkgs.pinentry-qt;
  };
}
